com.amazon.redshift.util

## Class RedshiftConstants

- java.lang.Object
- - com.amazon.redshift.util.RedshiftConstants

    public final class RedshiftConstants
    extends Object

Class to contain all Redshift JDBC driver wide constants Constants should be organized into logical groups with comments.

### Field Summary

Fields
`static String` `BASIC_JWT_PLUGIN`
`static String` `IDC_BROWSER_PLUGIN`
`static String` `IDP_TOKEN_PLUGIN`
`static String` `NATIVE_IDP_AZUREAD_BROWSER_PLUGIN`
`static String` `NATIVE_IDP_OKTA_BROWSER_PLUGIN`
`static String` `NATIVE_IDP_OKTA_NON_BROWSER_PLUGIN`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BASIC_JWT_PLUGIN

    public static final String BASIC_JWT_PLUGIN

See Also:
  Constant Field Values

#### NATIVE_IDP_AZUREAD_BROWSER_PLUGIN

    public static final String NATIVE_IDP_AZUREAD_BROWSER_PLUGIN

See Also:
  Constant Field Values

#### NATIVE_IDP_OKTA_BROWSER_PLUGIN

    public static final String NATIVE_IDP_OKTA_BROWSER_PLUGIN

See Also:
  Constant Field Values

#### NATIVE_IDP_OKTA_NON_BROWSER_PLUGIN

    public static final String NATIVE_IDP_OKTA_NON_BROWSER_PLUGIN

See Also:
  Constant Field Values

#### IDC_BROWSER_PLUGIN

    public static final String IDC_BROWSER_PLUGIN

See Also:
  Constant Field Values

#### IDP_TOKEN_PLUGIN

    public static final String IDP_TOKEN_PLUGIN

See Also:
  Constant Field Values